%define name	ecamegapedal
%define version	0.4.4
%define release	2mdk

Summary: 	A realtime effect processor
Name: 		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
URL: 		http://www.wakkanet.fi/~kaiv/ecamegapedal/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Requires: 	jackit ecasound >= 2.2.0 
BuildRequires:	audiofile-devel
BuildRequires:	chrpath
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libecasound-devel
BuildRequires:	qt3-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Ecamegapedal is a realtime effect processor built on top 
of ecasound and Qt packages. It's meant to be used as 
a virtual guitar-fx or studio effect box. In addition to 
realtime operation, ecamegapedal also supports reading from
and writing to audio files. All audio file formats and effect 
algorithms provided by the ecasound libraries are supported. 
This includes JACK, ALSA, OSS, aRts, over 20 file formats, 
over 30 effect types, LADSPA plugins and multi-operator effect 
presets.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x \
    --with-qt-dir=%{_prefix}/lib/qt3 \
    --with-qt-includes=%{_prefix}/lib/qt3/include \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} \
    --with-jack=%{_prefix} \
    --disable-static

make qt_libname=qt-mt

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="sound_section.png" section="Multimedia/Sound" \
title="EcaMegaPedal" longtitle="Realtime audio effects"
EOF

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/%{name}

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc NEWS COPYING README INSTALL
%doc Documentation/ecamegapedal_manpage.html
%{_mandir}/man1/eca*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}

%changelog
* Fri Apr 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-2mdk
- make it compile on amd64

* Sun Apr 18 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.4.3-1mdk
- 0.4.3

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- 0.4.2

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.4.1-3mdk
- distlint (DIRM)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.4.1-2mdk
- buildrequires alsa

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- 0.4.1
- eliminate need for patch

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- get spec from Quel Qun <kelk1@hotmail.com> (thanks)
- add menu
- initial package
